Function
arrayMoveBackward
Moves a range of objects into another range of objects starting from the last element.
arrayMoveBackward(source_begin, source_end, target)
Include Headers
seqan/basic.h
Parameters

source_begin | Iterator to the first element of the source array.
source_end | Iterator behind the last element of the source array. source_end must have the same type as source_begin.
target | Iterator to the first element of the target array. The target capacity should be at least as long as the source range.

Remarks
The function possibly clears (but does not destroy) the source elements. If source elements must persist, consider to use arrayCopyBackward instead.
Note: Be careful if source and target range overlap, because in this case some source elements could be accidently overwritten before they are moved.
If source and target do not overlap, consider to use the function arrayMoveForward instead that is faster in some cases.
Note: The semantic of this function's argument target differ from the arguments of ::std::copy_backward.
See Also
arrayMoveForward, SimpleType, arrayMove, arrayCopyBackward
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57